//
//  ViewController.swift
//  struct_property
//
//  Created by yoshiyuki oshige on 2017/07/30.
//  Copyright © 2017年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    
    // 構造体を定義する
    struct ColorBox {
        var width:Int
        var height:Int
        var color:String
    }
    
    // 構造体を定義する（プロパティに初期値がある）
    struct WhiteBox {
        var width:Int = 100
        var height:Int = 100
        let color:String = "white"
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // 構造体を作る
        let redBox = ColorBox(width:120, height:100, color:"red")
        let theBox = WhiteBox()
        
        print((redBox.width, redBox.height, redBox.color))
        print((theBox.width, theBox.height, theBox.color))
        
        // WhiteBoxに値を指定する
        let myBox = WhiteBox(width: 150, height: 200)
        print((myBox.width, myBox.height, myBox.color))
        
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
}



