//: Playground - noun: a place where people can play

import UIKit
var str = "Hello, playground"

let num0 = 2.3
let num1 = 10.5
let num2 = -10.5
var ans:Double

// 四捨五入する
ans = num0.rounded() // 2.0
ans = num1.rounded() // 11.0
ans = num2.rounded() // -11.0
// 切り上げる
ans = num0.rounded(.up) // 3.0
ans = num1.rounded(.up)  // 11.0
ans = num2.rounded(.up)  // -10.0
// 切り捨てる
ans = num0.rounded(.down)  // 2.0
ans = num1.rounded(.down)  // 10.0
ans = num2.rounded(.down)  // -11.0

// 0から遠い値に丸める
ans = num0.rounded(.awayFromZero) // 3.0
ans = num1.rounded(.awayFromZero) // 11.0
ans = num2.rounded(.awayFromZero) // -11.0
// 0に近い値に丸める
ans = num0.rounded(.towardZero) // 2.0
ans = num1.rounded(.towardZero) // 10.0
ans = num2.rounded(.towardZero) // -10.0

// 近い値に丸める。距離が同じなら偶数を選ぶ
ans = num0.rounded(.toNearestOrEven) // 2.0
ans = num1.rounded(.toNearestOrEven) // 10.0
ans = num2.rounded(.toNearestOrEven) // -10.0

// 近い値に丸める。距離が同じなら0から遠い値を選ぶ
ans = num0.rounded(.toNearestOrAwayFromZero) // 2.0
ans = num1.rounded(.toNearestOrAwayFromZero) // 11.0
ans = num2.rounded(.toNearestOrAwayFromZero) // -11.0

