//
//  Game.swift
//  class_fileprivate
//
//  Created by yoshiyuki oshige on 2017/09/14.
//  Copyright © 2017年 yoshiyuki oshige. All rights reserved.
//

import Foundation

class Game {
    // 他のクラスからアクセス不可
    fileprivate var point = 0.0
    // リードオンリー
    fileprivate(set) var level = 0
    
    // 得点を加算する
    func addPoint(value:Double) {
        point += value
        level =  Int(floor(point/3))
    }
    
}
