//
//  ViewController.swift
//  extension_UIColor
//
//  Created by yoshiyuki oshige on 2017/07/28.
//  Copyright © 2017年 yoshiyuki oshige. All rights reserved.
//

import UIKit

// UIColorクラスを拡張してクラスプロパティを追加する
extension UIColor {
    // 若草色
    class var wakakusa:UIColor {
        // #ABC900
        return UIColor(red: 0.6706, green: 0.7882, blue: 0.0, alpha: 1)
    }
    // 紅赤色
    class var beniaka:UIColor {
        // #E5004F
        return UIColor(red: 0.898, green: 0.0, blue: 0.3098, alpha: 1)
    }
}

class ViewController: UIViewController {
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // 標準の色
        let color1 = UIColor.red
        // 拡張した色
        let color2 = UIColor.wakakusa
        let color3 = UIColor.beniaka
        
        // 画面の背景色をcolor3（紅赤色）に設定する
        view.backgroundColor = color3
        
        print(color1)
        print(color2)
        print(color3)
        
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
}

