//
//  ViewController.swift
//  enum_RawValue
//
//  Created by yoshiyuki oshige on 2017/07/30.
//  Copyright © 2017年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    
    // 列挙型Directionを定義する
    enum Direction:Int {
        case forward = 1
        case backword
        case right
        case left
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // muki1~4にそれぞれの向きを設定する
        let muki1 = Direction.forward
        let muki2 = Direction.backword
        let muki3 = Direction.right
        let muki4 = Direction.left
        // Enum Valueに設定されているRaw Valueを調べる
        print(muki1.rawValue)
        print(muki2.rawValue)
        print(muki3.rawValue)
        print(muki4.rawValue)
        
        // Raw Valueが3のDirectionを調べる
        let muki5 = Direction(rawValue: 3)
        if let muki = muki5 {
            print(muki)
        }
        
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
}



